<?php
/**
 *
 * Hide BBCode. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Dakin Quelia, http://www.danielchalseche.fr.cr/
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace dakinquelia\hidebbcode\event;

/**
 * @ignore
 */
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Hide BBCode Event listener.
 */
class main_listener implements EventSubscriberInterface
{
	static public function getSubscribedEvents()
	{
		return array (
			'core.user_setup'								=> 'load_language_on_setup',
			'core.text_formatter_s9e_configure_after'       => 'configure_hidebbcode',
		);
	}
	
	public function load_language_on_setup($event)
	{
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'dakinquelia/hidebbcode',
			'lang_set' => 'hidebbcode',
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}

	/**
	 * Configure Hide BBCode
	 */
	public function configure_hidebbcode($event)
    {
        // Get the BBCode configurator
        $configurator = $event['configurator'];

        // Let's unset any existing BBCode that might already exist
        unset($configurator->BBCodes['hide']);
        unset($configurator->tags['hide']);

        // Let's create the new BBCode
        $configurator->BBCodes->addCustom(
            '[hide]{TEXT}[/hide]',
            '<xsl:choose>
                <xsl:when test="$S_USER_LOGGED_IN and not($S_IS_BOT)">
                    <div>{TEXT}</div>
                </xsl:when>
                <xsl:otherwise>
                    <span style="color: #FF0000; font-weight: bold;"><xsl:value-of select="$L_NOGUEST_ACCESS"/></span>
                </xsl:otherwise>
            </xsl:choose>'
        );
    }
}
